Subject: Re: Motif for NT available ?
From: [email-masked] (David Coe)

23 Jun 1997 23:40:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Arlindo da Silva <[email-masked]>
Original-CC: Andreas Bischoff <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

Arlindo da Silva wrote:
> 
> I was able to compile lesstif, the GNU version of lesstif, almost
> out of the tar file. I was able to create a static library (libXm.a)
> and run a few tests and it seemed to work allright. I tried to make
> a DLL out of it, following the instructions at:
> 
>    http://www.cs.mu.oz.au/~fjh/gnu-win32/how-to-build-dlls.html
> 
> without much luck; may be someone with a little bit more understanding
> about DLLs could get it to work. (You absolutely need a DLL, the
> static library is approx. 13 megs, "Hello, World" runs about 2.5
> megs!).  From the top of my head, here is what you need to do in order
> to build lesstif:

You need to take the debug option out to get the compile time and
library size down (under linux as well as gnu-win32). With -g deleted,
libXm.a is 1.14M.

The standard scripts *seem* to build the equivalent DLL and stub; but
there ends up being quite a few missing functions. I rather suspect the
nm, grep, sed stanza as manual nm inspection of (or linking to) the
parent static library shows them there but they don't even turn up in
the def file.

Alas, at the moment I'm not sure whether it's ignorance or beta software
that the problem :-(

-- 
Dr David Coe			     \=\
58 Fairlawn Drive, East Grinstead     \=\   Tel +44 1342 326860
West Sussex, RH19 1NT, United Kingdom  \=\  Fax +44 1342 316019
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".